RK-J - Task #3060
Feature # 3024 (Closed): extension 0.92.20 & 0.93: Enable OpenAl answers

Feature # 3061 (Closed): Backend requirements

BE-0.92.20: Enable API for the openAl answers.
06/07/2023 09:00 AM - Ayush Khandelwal

Status: Closed Start date: 06/07/2023
Priority: Urgent Due date: 06/08/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 4.00 hours
Description

1. Add the API for the openAl Answers

2. Fetch the OpenAl Answer Key from the datastore('OpenAlAnswerConfig'). Decrypt the KEY based on AES Decryption. Use it
for the OPENAI API call instead of using it from the hardcoded properties file.

3. if (api key is present) make call to openai and return the response else send 512 words of Lorem ipsum content

History

#1 - 06/07/2023 09:01 AM - Ayush Khandelwal
- Subject changed from Enable API for the openAl answers. to BE-0.92.20: Enable API for the openAl answers.

- Status changed from New to In Progress

#2 - 06/08/2023 02:06 AM - Ram Kordale
- Parent task changed from #3024 to #3061

#3 - 06/08/2023 06:52 AM - Ayush Khandelwal
- Description updated
- Due date changed from 06/07/2023 to 06/08/2023

- Status changed from In Progress to New

#4 - 06/08/2023 06:54 AM - Ayush Khandelwal

- Status changed from New to In Progress

#5 - 06/08/2023 07:21 AM - Ayush Khandelwal
- % Done changed from 0 to 30

#6 - 06/09/2023 12:11 PM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 30 to 100

#7 - 06/09/2023 03:10 PM - Ayush Khandelwal

- Status changed from Resolved to Feedback

Working as expected

#8 - 06/22/2023 11:19 AM - Ayush Khandelwal
- Status changed from Feedback to Closed
